## jpegoptim 1.2.5

=== debian/changelog ===
jpegoptim (1.2.5-1) unstable; urgency=low

  * New upstream 1.2.5. Closes: #699449, #606726, #675348
  * Switch upstream to github

 -- Mathieu Malaterre <malat@debian.org>  Sun, 17 Feb 2013 18:20:27 +0100

jpegoptim (1.2.4-1) unstable; urgency=low

  * New release 1.2.4. Closes: #699448
  * Adopt package (see 699449#10). Thanks Sven for your past work !
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove patches applied upstream
  * Bump Std-Vers to 3.9.4, no changes needed
  * Switch d/compat:9 to get hardening flags
  * Simplify d/rules (new dh syntax)

 -- Mathieu Malaterre <malat@debian.org>  Sat, 16 Feb 2013 17:57:10 +0100

jpegoptim (1.2.3-2) unstable; urgency=low

  * Don't build-depend on versioned libjpeg-dev packages 
  * Add README.source
  * Update Standards-Version to 3.8.4
  * don't ignore "make clean" errors
  * update debhelper compat level to 7 and depend on debhelper >= 7.0.0
  * use dh_prep instead of dh_clean -k

 -- Sven Mueller <sven@debian.org>  Mon, 21 Jun 2010 11:08:05 +0200

jpegoptim (1.2.3-1) unstable; urgency=low

  * upgrade to new upstream (closes: #571602)
  * change patch system to quilt (in preparation for source format 3.0(quilt))
  * update aux/config.* from autotools-dev (if available)

 -- Sven Mueller <sven@debian.org>  Tue, 13 Apr 2010 15:45:15 +0200

jpegoptim (1.2.2-8) unstable; urgency=low

  * upstream homepage changed or the old one went offline (closes: #450313)
  * incorporate fixes from upstream CVS
  * incorporate upstream code for handling IPTC markers

 -- Sven Mueller <sven@debian.org>  Thu,  8 Nov 2007 20:35:30 +0100

jpegoptim (1.2.2-7) unstable; urgency=low

  * Fix a problem with DEB_BUILD_OPTIONS nostrip option (closes: #437242)

 -- Sven Mueller <sven@debian.org>  Sat, 11 Aug 2007 23:18:01 +0200

jpegoptim (1.2.2-6) unstable; urgency=low

  * update jpegoptim homepage in control and copyright files (Closes: #408897)

 -- Sven Mueller <sven@debian.org>  Mon, 29 Jan 2007 15:33:20 +0100

jpegoptim (1.2.2-5) unstable; urgency=low

  * Update manpage (closes: #408427)

 -- Sven Mueller <sven@debian.org>  Sun, 28 Jan 2007 15:38:16 +0100

jpegoptim (1.2.2-4) unstable; urgency=low

  * skip a new revisions to update old instaluations
  * enable dpatch
  * honor DEB_BUILD_OPTIONS

 -- Sven Mueller <sven@debian.org>  Thu,  7 Dec 2006 18:40:47 +0100

jpegoptim (1.2.2-1) unstable; urgency=low

  * Initial Release.

 -- Sven Mueller <sven@debian.org>  Fri, 14 Jul 2006 19:27:58 +0200

## jpegoptim 1.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(jpegoptim)

#Dependency on libJPEG.
set(LIBJPEG_INCLUDE_DIR "" CACHE PATH "Path to directory containing header files of libJPEG (e.g. jpeglib.h).")
set(LIBJPEG_LIBRARY_DIR "" CACHE FILEPATH "Path to static library file of libJPEG (e.g. libjpeg.a).")
include_directories(${LIBJPEG_INCLUDE_DIR})
add_library(libjpeg STATIC IMPORTED)
set_target_properties(libjpeg PROPERTIES IMPORTED_LOCATION ${LIBJPEG_LIBRARY_DIR})

#Source files.
file(GLOB jpegoptim_SRC "*.c") #Adds all .c files in the source directory.

#Header files.
include_directories("${PROJECT_SOURCE_DIR}") #Adds all .h files in the source directory.

#Build the binary!
add_executable(jpegoptim ${jpegoptim_SRC})
target_link_libraries(jpegoptim libjpeg)

## jpegoptim 1.3.0

=== debian/changelog ===
jpegoptim (1.3.0-1ubuntu1) trusty; urgency=low

  * Use autotools-dev for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 17 Feb 2014 17:13:42 -0500

jpegoptim (1.3.0-1) unstable; urgency=low

  * New upstream 1.3.0. Optimize progressive JPEGs

 -- Mathieu Malaterre <malat@debian.org>  Mon, 01 Apr 2013 09:53:17 +0200

=== debian/control ===
Source: jpegoptim
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libjpeg-dev
Homepage: http://github.com/tjko/jpegoptim
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/jpegoptim/trunk/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/jpegoptim/trunk
Standards-Version: 3.9.4

Package: jpegoptim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://www.kokkonen.net/tjko/projects.html
Description: utility to optimize jpeg files
 Jpegoptim can optimize/compress jpeg files. Program support
 lossless optimization, which is based on optimizing the Huffman
 tables. So called, "lossy" optimization (compression) is done 
 by re-encoding the image using user specified image quality factor.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/jpegoptim/usr

override_dh_clean:
	dh_clean Makefile
	dh_clean config.h
	dh_clean config.log
	dh_clean config.status

get-orig-source:
	uscan --verbose --force-download --rename

## jpegoptim 1.4.1

=== debian/changelog ===
jpegoptim (1.4.1-1) unstable; urgency=low

  * New upstream
  * Remove patch applied upstream (bug748768.patch)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 03 Jun 2014 21:13:24 +0200

jpegoptim (1.4.0-1) unstable; urgency=low

  * New upstream
  * Add patch to allow compilation. Closes: #748768

 -- Mathieu Malaterre <malat@debian.org>  Thu, 22 May 2014 11:43:53 +0200

jpegoptim (1.3.1-1) unstable; urgency=low

  * New upstream. Closes: #708630, #727906
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 25 Apr 2014 16:39:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: jpegoptim
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mathieu Malaterre <malat@debian.org>
+Maintainer: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, libjpeg-dev
 Homepage: http://github.com/tjko/jpegoptim
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/jpegoptim/trunk/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/jpegoptim/trunk
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: jpegoptim
 Architecture: any

## jpegoptim 1.4.3

=== debian/changelog ===
jpegoptim (1.4.3-1) unstable; urgency=low

  * New upstream
  * Bump Std-Vers to 3.9.6, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 20 May 2015 17:47:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://github.com/tjko/jpegoptim
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/jpegoptim/trunk/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/jpegoptim/trunk
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: jpegoptim
 Architecture: any

## jpegoptim 1.4.4

=== debian/changelog ===
jpegoptim (1.4.4-1) unstable; urgency=medium

  * New upstream
  * Bump Std-Vers to 3.9.8, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Aug 2016 09:06:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://github.com/tjko/jpegoptim
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/jpegoptim/trunk/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/jpegoptim/trunk
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: jpegoptim
 Architecture: any

## jpegoptim 1.4.6

=== debian/changelog ===
jpegoptim (1.4.6-1) unstable; urgency=medium

  * New upstream
  * Bump Std-Vers to 4.2.1, no changes needed
  * Prefer https for Homepage
  * Remove reference to old alioth urls
  * Handle large file. Closes: #882830

 -- Mathieu Malaterre <malat@debian.org>  Wed, 24 Oct 2018 21:48:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,8 @@
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, libjpeg-dev
-Homepage: http://github.com/tjko/jpegoptim
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/jpegoptim/trunk/
-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/jpegoptim/trunk
-Standards-Version: 3.9.8
+Homepage: https://github.com/tjko/jpegoptim
+Standards-Version: 4.2.1
 
 Package: jpegoptim
 Architecture: any

=== debian/watch ===
version=3
https://github.com/tjko/jpegoptim/tags .*/RELEASE.(\d[\d\.]+)\.tar\.gz

## jpegoptim 1.4.7

=== debian/changelog ===
jpegoptim (1.4.7-1) unstable; urgency=medium

  * debian/control: update URLs to new salsa location
  * New upstream version 1.4.7
  * d/control: Bump Std-Vers to 4.6.1 no changes needed
  * d/control: Run wrap-and-sort
  * d/control: Add missing Rules-Requires-Root: no
  * d/watch: Prefer version=4 for watch file

 -- Mathieu Malaterre <malat@debian.org>  Mon, 20 Jun 2022 16:40:16 +0200

=== debian/control ===
Source: jpegoptim
Section: graphics
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: autotools-dev, debhelper (>= 9), libjpeg-dev
Homepage: https://github.com/tjko/jpegoptim
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/jpegoptim
Vcs-Git: https://salsa.debian.org/debian-phototools-team/jpegoptim.git
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: jpegoptim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Homepage: http://www.kokkonen.net/tjko/projects.html
Description: utility to optimize jpeg files
 Jpegoptim can optimize/compress jpeg files. Program support
 lossless optimization, which is based on optimizing the Huffman
 tables. So called, "lossy" optimization (compression) is done
 by re-encoding the image using user specified image quality factor.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autotools-dev
+	dh $@
 
 override_dh_auto_install:
 	$(MAKE) install prefix=$(CURDIR)/debian/jpegoptim/usr

=== debian/watch ===
version=4
https://github.com/tjko/jpegoptim/tags .*/RELEASE.(\d[\d\.]+)\.tar\.gz
